Failed to initialize nvml driver / library version mismatch due to automatic update of NVIDIA driver

failed to initialize NVML driver/library version mismatchfailed to initiate NVML driver/library version mismatch. failed to initiate NVML driver/library version mismatch
This situation is generally Nvidia’s driver is automatically updated, enter the command to view the log, it is automatically updated

$ cat /var/log/apt/history.log
Start-Date: 2021-01-12  06:14:29
Commandline: /usr/bin/unattended-upgrade
Upgrade: libnvidia-compute-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), libnvidia-encode-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), nvidia-kernel-common-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), xserver-xorg-video-nvidia-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), libnvidia-gl-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), libnvidia-fbc1-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), libnvidia-decode-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), libnvidia-cfg1-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), nvidia-utils-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), nvidia-dkms-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), nvidia-compute-utils-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), libnvidia-ifr1-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), nvidia-driver-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), libnvidia-extra-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1), nvidia-kernel-source-450:amd64 (450.80.02-0ubuntu0.18.04.2, 450.102.04-0ubuntu0.18.04.1)
End-Date: 2021-01-12  06:16:37

Referring to StackFlow, it was decided to restart the server, which was resolved after the restart.
I have to say that this driver update is really annoying. Anyone who reads this blog and knows how to disable this driver update on Ubuntu, please leave a comment in the comments section (for the time being, only on Windows)


Read More: